org.apache.solr

## Class SolrTestCaseHS.Client

- java.lang.Object
- - org.apache.solr.SolrTestCaseHS.Client

- Enclosing class:
    SolrTestCaseHS

      public static class SolrTestCaseHS.Client
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SolrTestCaseHS.Client.Tester`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SolrTestCaseHS.Client` | `localClient`
    `SolrTestCaseHS.Client.Tester` | `tester`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Client(List<org.apache.solr.client.solrj.SolrClient> clients, int seed)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `add(org.apache.solr.common.SolrInputDocument sdoc, org.apache.solr.common.params.ModifiableSolrParams params)`
    `void` | `commit()`
    `void` | `deleteByQuery(String query, org.apache.solr.common.params.ModifiableSolrParams params)`
    `SolrTestCaseHS.ClientProvider` | `getClientProvider()`
    `static int` | `hash(int x)`
    `boolean` | `local()`
    `static SolrTestCaseHS.Client` | `localClient()`
    `org.apache.solr.common.params.ModifiableSolrParams` | `queryDefaults()`
    `void` | `testJQ(org.apache.solr.common.params.SolrParams args, String... tests)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tester

          public SolrTestCaseHS.Client.Tester tester

    - #### localClient

          public static SolrTestCaseHS.Client localClient

  - ### Constructor Detail

    - #### Client

          public Client(List<org.apache.solr.client.solrj.SolrClient> clients,
                        int seed)

  - ### Method Detail

    - #### localClient

          public static SolrTestCaseHS.Client localClient()

    - #### hash

          public static int hash(int x)

    - #### queryDefaults

          public org.apache.solr.common.params.ModifiableSolrParams queryDefaults()

    - #### local

          public boolean local()

    - #### getClientProvider

          public SolrTestCaseHS.ClientProvider getClientProvider()

    - #### testJQ

          public void testJQ(org.apache.solr.common.params.SolrParams args,
                             String... tests)
                      throws Exception

      Throws:
        `Exception`

    - #### add

          public Long add(org.apache.solr.common.SolrInputDocument sdoc,
                          org.apache.solr.common.params.ModifiableSolrParams params)
                   throws Exception

      Throws:
        `Exception`

    - #### commit

          public void commit()
                      throws IOException,
                             org.apache.solr.client.solrj.SolrServerException

      Throws:
        `IOException`
        `org.apache.solr.client.solrj.SolrServerException`

    - #### deleteByQuery

          public void deleteByQuery(String query,
                                    org.apache.solr.common.params.ModifiableSolrParams params)
                             throws IOException,
                                    org.apache.solr.client.solrj.SolrServerException

      Throws:
        `IOException`
        `org.apache.solr.client.solrj.SolrServerException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.